/*
Theme Name: Beaver Builder Child Theme
Theme URI: http://www.wpbeaverbuilder.com
Version: 1.0
Description: An example child theme that can be used as a starting point for custom development.
Author: The Beaver Builder Team
Author URI: http://www.fastlinemedia.com
template: bb-theme
*/

/* Add your custom styles here... */ 

/* background on noticeboard area */
.noticeboard-red-bg .fl-module-content.fl-node-content {
	background: #c84323;
    padding: 10px 10px;
    color: #fff;
	min-height: 195px;
}

/* home slider for gallery */
.fl-slide-text .services-wrap .service {
	display: inline-block;
	width: 15%;
	text-align: center;
	padding: 13px 10px;
	height: auto !important;
	width: 150px !important;
}

.fl-slide-text .services-wrap .service img {
	height: 150px !important;
	width: 150px !important;
	-moz-transition: all 0.3s;
	-webkit-transition: all 0.3s;
	transition: all 0.3s;
	max-width: 150px;
}

.fl-slide-text .services-wrap .service img:hover {
	-moz-transform: scale(1.1);
	-webkit-transform: scale(1.1);
	transform: scale(1.1);
}

.fl-slide-text .services-wrap {
	background: #fff;
    max-width: 940px;
    max-height: 177px;
    margin: 0 auto !important;
    text-align: left;
}

/* footer stuff */
.fl-page-footer {
    border-color: #eaeaea;
	font-size: 14px;
}

.fl-page-footer a {
	text-decoration: underline;
}

/* hiding certain menu items for logged in users */
.logged-in .menu-hide-logged-in {
	display: none;
}

.hide-logged-out {
	display: none;
}

.logged-in .hide-logged-out {
	display: block;
}

/* menu appearance adjustment */
.menu.fl-menu-horizontal ul.sub-menu li.menu-item {
	border-top: none;	
}

.fl-menu a:hover, .fl-menu a:focus, .fl-menu a:active {
	text-decoration: underline;
}

/* wp members stuff */
#wpmem_login .form legend, #wpmem_reg .form legend {
	border: none;
    font-weight: normal;
    font-family: georgia;
    margin-bottom: 30px;
}

#wpmem_login .form .div_text, #wpmem_reg .form .div_text, #wpmem_reg .form .button_div, #wpmem_login .form .button_div, #wpmem_login .form .link-text, #wpmem_reg .form .div_select {
	width: 100%;
}

#wpmem_reg .form .req-text {
    margin: 0;
}

div#wpmem_restricted_msg {
	margin-top: 40px;
}

div#wpmem_restricted_msg, div#wpmem_restricted_msg + div#wpmem_login { 
	width: 1020px; 
	max-width: 90%; 
	margin-left: auto; 
	margin-right: auto; 
}

.page .wpmem_msg {
	width: 100%;
    background: #fff8c4;
    border: 1px solid #e0daa8;
}

.page #wpmem_msg, .page .wpmem_msg {
	padding-top: 10px;
}

/* hiding some lightbox elements */
.home .pp_hoverContainer, .home .pp_gallery, .home .pp_nav {
	display: none !important;
}

/********************************** RESPONSIVE **********************************/

@media screen and (min-width: 956px) and (max-width: 1100px) {
	header .fl-module-heading .fl-heading span { font-size: 26px; }
}

@media screen and (min-width: 801px) and (max-width: 955px) {
	.menu.fl-menu-horizontal li.menu-item a { padding-left: 10px; padding-right: 10px; }
	header .fl-module-heading .fl-heading span { font-size: 24px; }
	header .fl-module-menu .fl-module-content.fl-node-content { margin: 10px 0; }
	header .fl-module-heading .fl-module-content.fl-node-content { margin: 20px 5px; }
	.fl-menu .fl-menu-horizontal.fl-toggle-arrows .fl-has-submenu-container a { padding-right: 30px; }
}

@media screen and (min-width: 769px) and (max-width: 800px) {
	header .fl-module-menu .fl-module-content.fl-node-content { margin: 10px 0; }
	header .fl-module-heading .fl-heading span { font-size: 22px; }
	header .fl-module-heading .fl-module-content.fl-node-content { margin: 20px 10px; }
	.fl-menu .fl-menu-horizontal.fl-toggle-arrows .fl-has-submenu-container a { padding-right: 30px; }
	.menu.fl-menu-horizontal li.menu-item a { padding-left: 10px; padding-right: 10px; }
}

@media screen and (min-width: 769px) {
	.menu.fl-menu-horizontal .fl-has-submenu ul.sub-menu { padding: 10px 0; left: -14px; }
	.menu.fl-menu-horizontal .fl-has-submenu .fl-has-submenu .sub-menu { top: 0; left: 100%; }
	.menu.fl-menu-horizontal .fl-has-submenu .fl-has-submenu .sub-menu li a { padding-top: 10px; padding-bottom: 10px; }
	.menu.fl-menu-horizontal .fl-has-submenu .sub-menu li a { padding-top: 10px; padding-bottom: 10px; }
}

@media screen and (max-width: 768px) {
	div.fl-module-menu { none; }
	.fl-bg-slideshow { background: #fff; }
	header h1.fl-heading span { font-size: 22px; }
	.fl-col-group > .fl-module-menu { background: rgba(10,0,0, 0.6); }
	.menu.fl-menu-horizontal ul.sub-menu {  max-width: 90%; margin: 0px auto; }
	.fl-menu ul li.menu-item a { padding: 10px; }
	.fl-content h1 { font-size: 24px; }
	.fl-content h2 { font-size: 20px; }
	.fl-content h3 { font-size: 18px; }
	.fl-content h4 { font-size: 16px; }
}